/*

     Just a short demonstration program that utilizes the
     features of the utilities found in the file SCRUTILS.PRG.
     Compile this program and the utility file with the /M option
     and link together to produce the .EXE file.  This program
     really does nothing except display messages to the screen in
     response to your actions.  If you like what you see, send
     money and pass the word - if you have something bad to say,
     keep it to yourself (really, I would like to here it if you
     have something constructive to offer).  Hopefully, by
     playing by the rules, you will encourage me to share some of
     the more wonderful things I am now working on and we all may
     benefit.

*/



local xU:=4, xL:=30, xB:=16, xR:=50, Choice:=1
local xU2,   xL2,    xB2,    xR2
local sX1, sX2, sX3, sX4, sX5

static aC[6], aM[6]

set exclusive off
set scoreboard off
set wrap on
set confirm on
set softseek on
set delimiters to '[]'

#include 'JHCKEYS.CH'

#define True      .t.
#define False     .f.
#define Bell      chr(7)          && rings bell
#define Revision  '1.0'
#define Pname     'DEMO'
#define Exclusv   .t.
#define NotEx     .f.
#define StdClr    'N/W,W/R,,,R/W'
#define AltClr    'B+/W'
#define Inverse   'R+/N'
#define Flash     'R+*/N'
#define MenuClr   'B/BG'
#define ShadClr   'N+/GR'
#define Locked    .t.
#define NotLocked .f.
#define OK        .t.
#define Failed    .f.
#define CrLf      chr(13)+chr(10)
#define Yes       .t.
#define No        .f.

* Initialize...

xU2:=xB+3
xL2:=15
xB2:=23
xR2:=65


********************************************
* Initial screen and begin screen animator *
********************************************

setcolor(StdClr)
clear screen
setcolor(Inverse)

*              +---------------------------------------------+
*              +       Demonstration Program Featuring       +
*              +                                             +
*              +                   SCRUTILS                  +
*              +                      by                     +
*              +                John H Coleman               +
*              +---------------------------------------------+
*              16      245      33 36 39                     62
*

set cursor off


@ 8,16 clear to 14,62
@ 8,16 to 14,62 double
S1='Demonstration Program Featuring'
S2='SCRUTILS'
S3='John H Coleman'
do GROSTR with S1,9,24
inkey(1)
inkey(.5)
do POPSTR with S2,11,36
inkey(.5)
@ 12,39 say 'by'
inkey(.5)
do GROSTR with S3,13,33
inkey(1)
setcolor(StdClr)

***************************************************************
*                                                             *
* End of animation section.                                   *
*                                                             *
***************************************************************

setcolor(Flash)
@ 16,34 say 'LOADING ...'
setcolor(StdClr)

restore from DEMO additive

clear screen

aM[1]:='Select "New Stuff" to enter the data for one or more new '+;
       'things.  This selection will present a blank input '+;
       'form and prompt for all the data required to completely '+;
       'fill the form.'

aM[2]:='Select "Old Stuff" to bring up old stuff that you want '+;
       'review or change.  You will be prompted to identify the '+;
       'old stuff that you want to see and will be given the chance '+;
       'to change it or to look at other old stuff.'

aM[3]:='Select the "Print Stuff" option to print the stuff.  The '+;
       'output may be directed to either a printer or a disk '+;
       'file.'

aM[4]:='Select "Backup Stuff" to send a copy of all your old '+;
       'stuff to a floppy disk where it will be safe from the '+;
       'byte gremlins.'

aM[5]:='Select "Security" to assign privleges or change your '+;
       'password.  All functions in this option are password '+;
       'protected.'

aM[6]:='Select "Stuff It" when you have tired of this silly '+;
       'example and want to return to sane and productive work - '+;
       'after all, is someone paying you to play with this '+;
       'little program that does nothing?'

aC[1]:='New Stuff'
aC[2]:='Old Stuff'
aC[3]:='Print Stuff'
aC[4]:='Backup Stuff'
aC[5]:='Security'
aC[6]:='Stuff It'

@ 0,0,24,79 box replicate(chr(177),9)
do while True
 sX1=MENUBOX(xU,xL,xB,xR,2,1,2,1,1,True)
 CENTR('MAIN MENU',xU+1,xL,xR)
 setcolor(Flash)
 CENTR('SELECT',xB-1,xL,xR)
 setcolor(StdClr)
* sX3:=SSCREEN(xU2,xL2,xB2,xR)
 keyboard 'N'
 sX2:=RSCREEN(sMenu00)
 Choice:=ASEL1(xU+3,xL+2,xB-3,xR-1,aC,True,xU2,xL2,xB2,xR2,aM)
* RSCREEN(sX3)
 RSCREEN(sX1)
 RSCREEN(sX2)

 do case

  case Choice=1
   sX4:=RSCREEN(sMenu10)
   sX5:=RSCREEN(sMenu01)
   inkey(0)
   RSCREEN(sX4)
   RSCREEN(sX5)
   sX4:=RSCREEN(sMenu11)
   inkey(0)
   RSCREEN(sX4)
  case Choice=2
   sX4:=RSCREEN(sMenu20)
   inkey(0)
   RSCREEN(sX4)
  case Choice=3
   sX4:=RSCREEN(sMenu30)
   inkey(0)
   RSCREEN(sX4)
  case Choice=4
   sX4:=RSCREEN(sMenu40)
   inkey(0)
   RSCREEN(sX4)
  case Choice=5
   sX4:=RSCREEN(sMenu50)
   inkey(0)
   RSCREEN(sX4)
  case Choice=6
   sX4:=RSCREEN(sMenu60)
   xK:=79
   do while .not. (chr(xK) $ 'bB')
    xK:=inkey(0)
   enddo
   RSCREEN(sX4)
   sX4:=RSCREEN(sMenu61)
   inkey(5)
   RSCREEN(sX4)
   exit
  otherwise
   exit
 endcase
enddo
close databases
return




